// === Starter Application 1.0.0 === //

/* ======================================================

FUNCTION:  GetNextPurchaseID()

INPUT:     none.

RETURN:    The next available unique id for the crPurchase table.

====================================================== */

function GetNextPurchaseID()
{
  server.lock();
	  server.lastPurchaseID = parseInt(server.lastPurchaseID) + 1;
	  var nextID = parseInt(server.lastPurchaseID);
  server.unlock();
  return(nextID);
}


/* ======================================================

FUNCTION:  GetNextSlipID()

INPUT:     none.

RETURN:    The next available unique id for the crSlip table.

====================================================== */

function GetNextSlipID()
{
  server.lock();
	  server.lastSlipID = parseInt(server.lastSlipID) + 1;
	  var nextID = parseInt(server.lastSlipID);
  server.unlock();
  return(nextID);

} // END GetNextSlipID()



/* ======================================================

FUNCTION:  GetNextEventID()

INPUT:     none.

RETURN:   the next available, unique id for use in the crPurchase table
	when a new event is created in a particular batch.

====================================================== */

function GetNextEventID()
{
 server.lock();
	 server.eventID = parseInt(server.eventID) + 1;
	 var nextID = parseInt(server.eventID);
 server.unlock();
 return nextID;

} // END GetNextEventID()


/* ======================================================

FUNCTION:  GetNextBatchID()

INPUT:     none.

RETURN:   the next available, unique id for use in the crBatch table
	when a new batch record is created (i.e. when a new batch is opened).

====================================================== */

function GetNextBatchID()
{
  server.lock();
	  server.lastBatchID = parseInt(server.lastBatchID) + 1;
	  var nextID = parseInt(server.lastBatchID);
  server.unlock();
  return(nextID);

} // END GetNextBatchID()


